Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
XGL (Part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 24, 25, 26 ... 35, 36, 37  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
CoffeeBuzz
Apprentice
Apprentice


Joined: 15 Jun 2005
Posts: 269
Location: Canada Eh.

PostPosted: Sat Jul 22, 2006 1:57 pm    Post subject: Reply with quote

Jupiter1TX wrote:
Heya CoffeeBuzz can we get the cgwd package from quinn
that works with the new gcompizthemer put in the overlay



cgwd-9999.ebuild set and ready to go.

one thing is that the lib check for libwnck seems to fail
checking for wnck_window_has_name... no
But theres nothing done in the config if this fails or not so, not sure whats going on there.
_________________
HP Pavilion zd7260us
Xgl Overlay: http://svn.xgl-coffee.org/xgl-coffee/trunk
Xgl Forums: http://forums.xgl-coffee.org
Back to top
View user's profile Send private message
FaziBear
n00b
n00b


Joined: 19 Aug 2005
Posts: 10

PostPosted: Sat Jul 22, 2006 2:03 pm    Post subject: Reply with quote

My cgwd cvs ebuild was broken :(

Where I can get gcompizthemer cvs ebuild ?
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sat Jul 22, 2006 4:13 pm    Post subject: Reply with quote

FaziBear wrote:
My cgwd cvs ebuild was broken :(

Where I can get gcompizthemer cvs ebuild ?


There is no gcompizthemer cvs ebuild. I see no reason to do so as newer features usually require a specific compiz version or greater.
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Sat Jul 22, 2006 4:25 pm    Post subject: Reply with quote

Trying to get compiz-quinnstorm-9999 updated and
getting this error with coffeebuzz rev 333

gnome/Makefile.am: installing `config/depcomp'
configure.ac:250: required file `plugins/compiz.schemas.in' not found
autoreconf-2.59: automake failed with exit status: 1

!!! ERROR: x11-wm/compiz-quinnstorm-9999 failed.
Call stack:
ebuild.sh, line 1545: Called dyn_compile
ebuild.sh, line 940: Called src_compile
compiz-quinnstorm-9999.ebuild, line 71: Called die

!!! econf failed

I am able to update to quinn-0.0.13.20, but as stated in the changelog
0.0.13.21 has "remove patched g-w-d, in favor of cgwd"
So am reluctant to emerge cgwd without updateing compiz-quinn to 13.21
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sat Jul 22, 2006 4:28 pm    Post subject: Reply with quote

I'll be taking care of this in about 30 minutes or so.
Back to top
View user's profile Send private message
yagami
Apprentice
Apprentice


Joined: 12 May 2002
Posts: 222
Location: Leiria, Portugal

PostPosted: Sat Jul 22, 2006 4:38 pm    Post subject: Reply with quote

Quote:
Trying to get compiz-quinnstorm-9999 updated and
getting this error with coffeebuzz rev 333

gnome/Makefile.am: installing `config/depcomp'
configure.ac:250: required file `plugins/compiz.schemas.in' not found
autoreconf-2.59: automake failed with exit status: 1

!!! ERROR: x11-wm/compiz-quinnstorm-9999 failed.
Call stack:
ebuild.sh, line 1545: Called dyn_compile
ebuild.sh, line 940: Called src_compile
compiz-quinnstorm-9999.ebuild, line 71: Called die

!!! econf failed


just go to the cvs compiz dir , and cp plugins/compiz.schemas.in.in to plugins/compiz.schemas.in

dunno why it changed , but that fixes it
Back to top
View user's profile Send private message
CoronaLover
Retired Dev
Retired Dev


Joined: 20 Jun 2002
Posts: 163
Location: Rosh-ha'ayin, Israel

PostPosted: Sat Jul 22, 2006 7:34 pm    Post subject: Reply with quote

Nesl247 or CoffeeBuzz, can any of you guys add the patches needed to run compiz on AIGLX to compiz-quinnstorm ebuild?
also please take a look at this patch http://people.freedesktop.org/~krh/xorg-server-1.0.99.2-spiffiffity.patch
it should improve compiz and metacity's compositors preformance (the patch is split into 2 patches in the redhat srpm).
Back to top
View user's profile Send private message
roderick
l33t
l33t


Joined: 11 Jul 2005
Posts: 908
Location: St. John's, NL CANADA

PostPosted: Sat Jul 22, 2006 9:19 pm    Post subject: Reply with quote

CoronaLover wrote:
Nesl247 or CoffeeBuzz, can any of you guys add the patches needed to run compiz on AIGLX to compiz-quinnstorm ebuild?
also please take a look at this patch http://people.freedesktop.org/~krh/xorg-server-1.0.99.2-spiffiffity.patch
it should improve compiz and metacity's compositors preformance (the patch is split into 2 patches in the redhat srpm).


If nesl247 or CoffeeBuzz do not beat me to it, I'll test it out and if all is good, add it in.
_________________
If God were a pickle, I'd still say "no pickle on my burger".
http://roderick-greening.blogspot.com/
Back to top
View user's profile Send private message
Admiral_Trigger_Happy
Guru
Guru


Joined: 05 Sep 2004
Posts: 337
Location: Australia

PostPosted: Sun Jul 23, 2006 5:34 am    Post subject: Reply with quote

Any reason why xgl-coffee.org is down?

Not working for me at all, Also does ther person who registered it have anything to do with looking after it?
Because We could ring him, its almost free for me.
_________________
Admiral Trigger Happy
-------------------------------
www.kiba-dock.org
Back to top
View user's profile Send private message
mathfeel
l33t
l33t


Joined: 03 Aug 2004
Posts: 698

PostPosted: Sun Jul 23, 2006 5:41 am    Post subject: Reply with quote

Hi:

I just emerged compiz-quinnstorm and find that it has no transet plugin (depricated?). I don't know where to set the hotkey for setting transparency. It's usually alt+mouse wheel. I have a laptop with no mouse and/or wheel so I need to change it. Where in gconf do i set this particular key? Thanks
_________________
-----------------------------------------------------------
"In heaven all the interesting people are missing"
-- Friedrich Nietzsche
Back to top
View user's profile Send private message
yagami
Apprentice
Apprentice


Joined: 12 May 2002
Posts: 222
Location: Leiria, Portugal

PostPosted: Sun Jul 23, 2006 9:16 am    Post subject: Reply with quote

Quote:
There is no gcompizthemer cvs ebuild. I see no reason to do so as newer features usually require a specific compiz version or greater.


actually ... with the changes in cgwd and etc ..... the custom cvs ebuild for gcompizthemer that i made already saved me once or twice

you should do cvs ebuilds for everything quinnstorm is doing ... she is amazingly fast , and most times , breaks things ! most times , only latest cvs works
Back to top
View user's profile Send private message
billfrith
n00b
n00b


Joined: 07 Jan 2005
Posts: 17
Location: UK

PostPosted: Sun Jul 23, 2006 10:54 am    Post subject: Reply with quote

Hi, sorry if this duplicates something someone else has mentioned (I did search but couldn't find anything) but I have noticed that since compiz-quinnstorm-0.0.13.11 the response to dragging windows has been unusabley slow (they lag a long way behind and jump around). I'm sticking with this version till it's fixed.

The problem has been mentioned on compiz.net http://www.compiz.net/viewtopic.php?id=1883

and on freedesktop.org http://lists.freedesktop.org/archives/compiz/2006-June/000243.html

Has anyone else had these problems? If so any ideas how to deal with them?

I'm using and Athlon64/nvidia 5200 machine.

Thanx for all the hard work BTW, fantastic job.
Back to top
View user's profile Send private message
opentaka
l33t
l33t


Joined: 18 Feb 2005
Posts: 840
Location: Japan

PostPosted: Sun Jul 23, 2006 11:15 am    Post subject: Reply with quote

Hey guys, I just installed xgl with x11-wm/compiz-quinnstorm with KDE, everything works good, although resizing, switching window with switcher is little sluggish.

Here my current problem is that when I play video files with XINE BASED media players such like xine-ui, kaffeine, gxine, etc, It's very very sluggish, and it has "\" brakage when play in fullscreen.
Also, I see some color corruption when playing some files. too.

And. I do see some "black holes" in tvtime only when I view them full screen.

What's causing this? any workaround/solutions?

Thanks :)
_________________
"Being defeated is often a temporary condition. Giving up is what makes it permanent" - Marilyn vos Savant
Back to top
View user's profile Send private message
opentaka
l33t
l33t


Joined: 18 Feb 2005
Posts: 840
Location: Japan

PostPosted: Sun Jul 23, 2006 11:27 am    Post subject: Reply with quote

hmm, I was playing around with xine and it seems it's fixed after I set the video output using opengl instead of auto.
_________________
"Being defeated is often a temporary condition. Giving up is what makes it permanent" - Marilyn vos Savant
Back to top
View user's profile Send private message
Zi7
n00b
n00b


Joined: 23 Jul 2006
Posts: 43
Location: Provence

PostPosted: Sun Jul 23, 2006 11:28 am    Post subject: Reply with quote

behd wrote:
CoffeeBuzz wrote:
behd wrote:
xgl 20060714 failed to compile (even with USE="-mmx" and removing "-O3 -mmmx" from my CFLAGS) ?!?
here's the error, if someone care (or have an idea why):
Code:

i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H <etc> ... </etc> -o .libs/libfbmmx_la-fbmmx.o
fbmmx.c: In function `fbCompositeSrc_yv12x8888mmx':
fbmmx.c:3056: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
fbmmx.c:3056: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
fbmmx.c:3056: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[1]: *** [libfbmmx_la-fbmmx.lo] Error 1
make[1]: Leaving directory `/var/tmp/portage/xgl-0.0.1_pre20060714/work/xgl/fb'
make: *** [all-recursive] Error 1

!!! ERROR: x11-base/xgl-0.0.1_pre20060714 failed.


downgrading to xgl-0.0.1_pre20060619-r3 solved the problem.


we removed the USE="mmx" option because I personally couldnt think of a good reason to have it. Also, I was told by a gentoo-dev that theyre thinking of removing the mmx use flag altogether and have it detected based on arch.

In theory, the xgl configure should detect whether your system supports mmx. What arch do you have? I'll look into re-adding the mmx use option.


Thanks for info CoffeeBuzz, I am using x86 architecture with Pentium Intel CPU:
Code:

Portage 2.1-r1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r3, 2.6.16-20 i686)
=================================================================
System uname: 2.6.16-20 i686 Intel(R) Pentium(R) M processor 1.80GHz
Gentoo Base System version 1.6.14
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-mtune=pentium4 -march=pentium4 -mmmx -msse -msse2 -O3 -pipe -fforce-addr -fprefetch-loop-arrays -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"


NB. should the ACCEPT_KEYWORDS be filled (mine is in remarck in make.conf, but is correctly detected, cf. emerge --info above) or be set to "~x86" ?!?



Please try to remove -fforce-addr from your CFLAGS and reemerge xgl.
Cheers.

PS: if your ACCEPT_KEYWORDS is commented out, it doesn't need to be filled.
Back to top
View user's profile Send private message
sternklang
Veteran
Veteran


Joined: 10 Sep 2005
Posts: 1641
Location: Somewhere in time and space

PostPosted: Sun Jul 23, 2006 1:17 pm    Post subject: Reply with quote

mathfeel wrote:
I don't know where to set the hotkey for setting transparency. It's usually alt+mouse wheel. I have a laptop with no mouse and/or wheel so I need to change it. Where in gconf do i set this particular key?
Hello,

It's not a plugin setting but rather in /apps/compiz/general/allscreens/options: opacity_decrease and opacity_increase are the keys you want.
Back to top
View user's profile Send private message
sternklang
Veteran
Veteran


Joined: 10 Sep 2005
Posts: 1641
Location: Somewhere in time and space

PostPosted: Sun Jul 23, 2006 1:27 pm    Post subject: Reply with quote

opentaka wrote:
Here my current problem is that when I play video files with XINE BASED media players such like xine-ui, kaffeine, gxine, etc, It's very very sluggish, and it has "\" brakage when play in fullscreen.
Also, I see some color corruption when playing some files. too.

Right now this is a side-effect of programs that do direct rendering -- it's not just xine-based players, gstreamer-based players, mplayer, mythtv, blender, 3D games, etc. have the same problem. The workaround that I use is to run video players on the underlying xorg-server. To do this, you need to make sure that whatever command line starts Xgl includes "-xorgAc" at the end (otherwise only root will be able to access xorg-server). Then:
Code:
DISPLAY=:93 xine
Change it to :94 if you run Xgl on DISPLAY :1. You will have no window decorations on your player, and it will be on all viewports, but you should be able to run full-screen video with no problems.
Back to top
View user's profile Send private message
opentaka
l33t
l33t


Joined: 18 Feb 2005
Posts: 840
Location: Japan

PostPosted: Sun Jul 23, 2006 1:54 pm    Post subject: Reply with quote

sternklang wrote:
opentaka wrote:
Here my current problem is that when I play video files with XINE BASED media players such like xine-ui, kaffeine, gxine, etc, It's very very sluggish, and it has "\" brakage when play in fullscreen.
Also, I see some color corruption when playing some files. too.

Right now this is a side-effect of programs that do direct rendering -- it's not just xine-based players, gstreamer-based players, mplayer, mythtv, blender, 3D games, etc. have the same problem. The workaround that I use is to run video players on the underlying xorg-server. To do this, you need to make sure that whatever command line starts Xgl includes "-xorgAc" at the end (otherwise only root will be able to access xorg-server). Then:
Code:
DISPLAY=:93 xine
Change it to :94 if you run Xgl on DISPLAY :1. You will have no window decorations on your player, and it will be on all viewports, but you should be able to run full-screen video with no problems.


I see. Thanks for the info. :)
_________________
"Being defeated is often a temporary condition. Giving up is what makes it permanent" - Marilyn vos Savant
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sun Jul 23, 2006 2:51 pm    Post subject: Reply with quote

Sorry for the delay in updating the compiz-quinnstorm related packages. I'm doing some serious recompiling right now. I should be able to get it up to date sometime today.
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sun Jul 23, 2006 4:42 pm    Post subject: Reply with quote

*** Attention Compiz-Quinnstorm Users ***

Compiz-quinnstorm has gone under some changes. As of compiz-quinnstorm-0.0.13.21 (0.0.13.22 to be in the overlay as soon as quinn commits it), gnome-window-decorator has been reverted to upstream. A new package x11-wm/cgwd (For those of you who had it previously, it's been moved to x11-wm from x11-misc) has taken the place of gnome-window-decorator. This package should require less gnome dependencies.

As a result, please update your overlay, and emerge cgwd. Then change your gnome-window-decorator lines in your scripts to cgwd.

If you have any further questions, feel free to ask. I hope the migration goes smoothly for everyone as it did for myself in my testing.

Have a great day,
nesl247 and the rest of the CoffeeBuzz Team
Back to top
View user's profile Send private message
xhub
n00b
n00b


Joined: 01 Jun 2006
Posts: 32
Location: France / Altkirch

PostPosted: Sun Jul 23, 2006 5:19 pm    Post subject: Reply with quote

and don't forget to update gcompizthemer and gcompizthemer-theme too :)
migration was very smooth
Thanks for the work

ps1 : I can't use pixmaps buttons now

ps2 anyone can compile the Blur plugin ? I have a lot of error with some include files. I think my Makefile is very ugly if anyone wants to take a look

Code:
DESTDIR = /usr/lib/compiz/

CC      = gcc
LIBTOOL = libtool
INSTALL = install

CFLAGS  = -g -Wall `pkg-config --cflags compiz`
LDFLAGS = `pkg-config --libs compiz`

libBlur.lo: Blur.c
   $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c -o $@ $<

libBlur.la: libBlur.lo
   $(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -rpath $(DESTDIR) -o $@ $<

all: libBlur.la

install: libBlur.la
   $(LIBTOOL) --mode=install $(INSTALL) libBlur.la \
   $(DESTDIR)/libBlur.la
Back to top
View user's profile Send private message
HTS
Guru
Guru


Joined: 20 Feb 2006
Posts: 397
Location: Bristol, UK

PostPosted: Sun Jul 23, 2006 5:22 pm    Post subject: Reply with quote

sternklang wrote:
The workaround that I use is to run video players on the underlying xorg-server. To do this, you need to make sure that whatever command line starts Xgl includes "-xorgAc" at the end (otherwise only root will be able to access xorg-server). Then:
Code:
DISPLAY=:93 xine
Waoo! Very nice and simple hack ;) I've been looking for that for ages, I guess I didn't look hard enough.
Thanks
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sun Jul 23, 2006 5:28 pm    Post subject: Reply with quote

If your pixmap buttons don't show up, do this: Gcompizthemer-><theme>->Edit->General->Button Layout. Select one that you want, and it will work. Of course the theme MUST BE labled as Up-To-Date or else the theme isn't compatible period.
Back to top
View user's profile Send private message
nicosaturno
n00b
n00b


Joined: 05 Apr 2005
Posts: 57

PostPosted: Sun Jul 23, 2006 5:42 pm    Post subject: Reply with quote

guys, i've got the most terrific error.... :D

Code:
nico@localhost ~ $ gcompizthemer
Segmentation fault
nico@localhost ~ $ cgwd
cgwd: Connection Error (Unable to determine the address of the message bus)
Segmentation fault
nico@localhost ~ $ 


with

x11-wm/cgwd-0.2
x11-wm/compiz-quinnstorm-0.0.13.20
x11-misc/gcompizthemer-0.18

compiled with gcc-4.1.1...so?
Back to top
View user's profile Send private message
nesl247
Veteran
Veteran


Joined: 15 Jun 2004
Posts: 1614
Location: Florida

PostPosted: Sun Jul 23, 2006 5:48 pm    Post subject: Reply with quote

It runs fine here. The only reason it gives that error for me is because I am still upgrading to a new hashstyle patch for glibc/binutils.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 24, 25, 26 ... 35, 36, 37  Next
Page 25 of 37

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum